CrossOver Support - Community Forums

Important Information These are community forums and not official technical support. If you need official support: Contact Us



CrossOver Linux
Discussion about CrossOver Linux

The following comments are owned by whoever posted them. We are not responsible for them in any way.


Reply to Thread Back to Threads

Cannot install .Net Framework 4.5.1 on CrossOver 17.1 on Ubuntu 18.04
John
Posted 2018-04-28 00:37
I just installed Ubuntu 18.04 in a VirtualBox VM to test CrossOver. Before I update my main machine, I need to know I can run my critical apps. Those apps require the .Net Framework 4.5.1.

I created a new Win7 x64 bottle and tried to install the 4.5.1 framework. Several steps worked fine, until I got to actually "Installing Microsoft .NET Framework 4.5.1" - at that point I get stuck.

There are a few dialog boxes, which I click through but when it comes to the "System Requirements" dialog, it says:
"Setup cannot continue until the following conflicts have been resolved.

Resolve the conflicts, click Refresh to verify that the conflicts have been resolved, and then click Next to continue with the installation.

Enough disk space must be available.
 Drive C: Required - 64u MB, Available - 64u MB

These programs must be closed:         These services must be stopped:"

Nothing else is listed (no programs, no services), except a refresh button which does very little when I click it. I do see two green check marks but the Next button never gets enabled.

I have tried re-starting the installation process. I have tried restarting the VM. Nothing has worked. I always get stuck at the same point.

Any ideas how I can get past this roadblock?

Patrick Munzer
Posted 2018-04-28 09:39
I'm running Kubuntu 18.04 on real hardware and  had no problems installing .NET Framework 4.5.1. Was just testing to see if I could after reading your post. Everything went very smoothly. You may have run into some issue peculiar to the VM.
John
Posted 2018-04-28 21:20
In the VM, I tried installing .Net Framework 4.6.2 (which includes 4.5.1) and it worked, meaning my apps built on 4.5.1 run (with some resizing issues at larger screen sizes).

Based on this, I took a leap of faith and wiped my laptop, installed Ubuntu 18.04, CrossOver 17.1, and everything seems to working well (no resizing issues).

So, it might be the VM vs real hardware (as you wrote) or it might be that I just used 4.6.2 instead of 4.5.1. Regardless, I continue to be exceedingly happy with CrossOver to run my .Net apps.

The CrossOver team rocks!
Ray Lopez
Posted 2018-10-17 06:56
I've just run into this exact issue trying to install .NET 4.0 and 4.6.x using Crossover running in a Fedora 28 VM on a Xen hypervisor.  I'm guessing the Fedora guest OS is mis-reporting the amount of disk space available because reasons.  

Anyone know of a workaround solution for getting .NET installed in a VM-based Crossover?

Please Note: This Forum is for non-application specific questions relating to installation/configuration of CrossOver. All application-specific posts to this Forum will be moved to their appropriate Compatibility Center Forum.

CrossOver Forums: the place to discuss running Windows applications on Mac and Linux

Please Wait...
eyJjYXJ0IjowLCJ0enMiOi01LCJjZG4iOiJodHRwczpcL1wvbWVkaWEuY29kZXdlYXZlcnMuY29tXC9wdWJcL2Nyb3Nzb3Zlclwvd2Vic2l0ZSIsImNkbnRzIjoxNTU4MDM0NTA0fQ==